net.i2p.router.transport.udp

## Class DummyThrottle

- java.lang.Object
- - net.i2p.router.transport.udp.DummyThrottle

All Implemented Interfaces:
  OutboundMessageFragments.ActiveThrottle

     class DummyThrottle
    extends Object
    implements OutboundMessageFragments.ActiveThrottle

Since the TimedWeightedPriorityMessageQueue.add() was disabled by jrandom in UDPTransport.java on 2006-02-19, and the choke/unchoke was disabled at the same time, all of TWPMQ is pointless, so just do this for now. It appears from his comments that it was a lock contention issue, so perhaps TWPMQ can be converted to concurrent and re-enabled.

Since:
  0.7.12

### Constructor Summary

Constructors
Constructor and Description
`DummyThrottle()`

### Method Summary

Methods
`void` `choke(Hash peer)`
`boolean` `isChoked(Hash peer)`
`void` `unchoke(Hash peer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DummyThrottle

    public DummyThrottle()

### Method Detail

#### choke

    public void choke(Hash peer)

Specified by:
  `choke` in interface `OutboundMessageFragments.ActiveThrottle`

#### unchoke

    public void unchoke(Hash peer)

Specified by:
  `unchoke` in interface `OutboundMessageFragments.ActiveThrottle`

#### isChoked

    public boolean isChoked(Hash peer)

Specified by:
  `isChoked` in interface `OutboundMessageFragments.ActiveThrottle`